scala.xml.dtd
class PublicID

[source: `scala/xml/dtd/PublicID.scala`]

`case` `class` PublicID(`val` publicId : String, `val` systemId : String)
  `extends` ExternalID `with` TokenTests `with` Product

  a public identifier

Author
  Burak Emir
Parameters
  `publicLiteral -` the public identifier literal
  `systemLiteral -` (can be null for notation pubIDs) the system identifier literal

Method Summary
`def` | attribute : MetaData always empty
`def` | child : Nil always empty
`override def` | equals (arg0 : Any) : Boolean
`override def` | hashCode : Int
`def` | label : String the constant "#PI"
`override final def` | productArity : Int return k for a product `A(x_1,...,x_k))`
`override final def` | productElement (arg0 : Int) : Any for a case class `A(x_1,...,x_k))`, returns `x_(i+1)` for `0 <= i < k`
`override final def` | productPrefix : String By default the empty string. Implementations may override this method in order to prepend a string prefix to the result of the toString methods.
`override def` | toString (sb : StringBuilder) : StringBuilder appends "PUBLIC "+publicId+" SYSTEM "+systemId to argument
`override def` | toString : String returns "PUBLIC "+publicLiteral+" SYSTEM "+systemLiteral

Methods inherited from Product
element, arity

Methods inherited from TokenTests
isSpace, isSpace, isNameChar, isNameStart, isName, isPubIDChar, isValidIANAEncoding, checkSysID, checkPubID

Methods inherited from AnyRef
getClass, clone, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Method Details

`` `def` label : String

  the constant "#PI"

`` `def` attribute : MetaData

  always empty

`` `def` child : Nil

  always empty

`override` `def` toString(sb : StringBuilder) : StringBuilder

  appends "PUBLIC "+publicId+" SYSTEM "+systemId to argument

Overrides
  ExternalID.toString

`override` `def` hashCode : Int

`override` `def` toString : String

  returns "PUBLIC "+publicLiteral+" SYSTEM "+systemLiteral

Overrides
  ExternalID.toString

`override` `def` equals(arg0 : Any) : Boolean

`override final` `def` productPrefix : String

  By default the empty string. Implementations may override this method in order to prepend a string prefix to the result of the toString methods.

Overrides
  Product.productPrefix

`override final` `def` productArity : Int

  return k for a product `A(x_1,...,x_k))`

Overrides
  Product.productArity

`override final` `def` productElement(arg0 : Int) : Any

  for a case class `A(x_1,...,x_k))`, returns `x_(i+1)` for `0 <= i < k`

Parameters
  `n -` the position of the n-th element
Throws
  `IndexOutOfBoundsException -`
Returns
  ...

Overrides
  Product.productElement